# Features
* Flags column visible for WooCommerce products edit list table
* Functionality has been added to block the translation of already translated taxonomy terms through the translation management functionality
* Improved API and created documentation for it in wpml.org
* Improved taxonomy synchronization between languages
* Now it is possible to select the preferred admin language among all available languages and not only active languages
* Support for Translation Proxy

# Fixes
* [wpmlcore-1104] Improve TM notice handling in core.
* Added fallback function for `array_replace_recursive()`, which might be unavailable in old versions of PHP
* Added wrapper functions for mb string functions
* Fixed "Reset languages" option
* Fixed ability to have two separate language switcher widgets on the same page when the "Mobile Friendly Always" option is selected
* Fixed an issue leading to taxonomies not being copied to translated posts, despite the option for it having been set
* Fixed default category translation by removing language suffix in category name
* Fixed different problems with menu creation and synchronization
* Fixed Directory for default language and root page/HTML file as root problems
* Fixed errors from hide-able admin message boxes
* Fixed errors in reading wpml-config.xml file
* Fixed issues related to accessing content of hidden languages
* Fixed language order setting not working due to Javascript errors
* Fixed position of radio buttons dedicated to change default language
* Fixed post same-slug-across-languages problems
* Fixed post/page title display when many languages are active
* Fixed scheduled post translations from being automatically published
* Fixed search results url when Language display is set to parameter
* Fixed some PHP notices and warnings
* Fixed taxonomy label translation from Taxonomy Translation screen
* Fixed various WP SEO XML sitemap issues
* Fixed wrong page redirection when 2 child pages use the same slug
* Fixed wrongful inclusion of the taxonomy translation JavaScript that was causing notices and performance losses in the back-end
* Performance improvements when loading menus
* Removed trailing slash from ICL_PLUGIN_URL constant
* Removed usage of deprecated ColorPicker jQuery plugin, replaced with wpColorPicker jQuery plugin
* Restyled admin message boxes
* Settings information moved from Troubleshooting page to Debug information page
* WPML is getting more and more faster, even when dealing with a lot of content